petsc-3.6.2 2015-10-02
Report Typos and Errors

# MatISGetMPIXAIJ

Converts MATIS matrix into a parallel AIJ format

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISGetMPIXAIJ(Mat mat, MatReuse reuse, Mat *newmat)

### Input Parameter

mat -the matrix (should be of type MATIS)
reuse -either MAT_INITIAL_MATRIX or MAT_REUSE_MATRIX

### Output Parameter

newmat -the matrix in AIJ format

Notes: mat and *newmat cannot be the same object when MAT_REUSE_MATRIX is requested.

### See Also

MATIS

Level:developer
Location:src/mat/impls/is/matis.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages